Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

YOutube has promted me that my version of Firefox 2.0.0.0.20 is no loger supported, but I have a Mac OS 10.3.9. Is there a newer version which I could download which will run on this system?

  • 1 reply
  • 7 have this problem
  • 20 views
  • Last reply by TonyE

more options

I can't update my MacOS version so wondered if there is an in between version of Firefox which would enable me to see youtube videos with the sound and vision synchronized. With my current version the video is about 10 mintues behind the sound!

All Replies (1)

more options

You will not be able to install a later version of Firefox, they require at least OS X 10.4

A couple of alternative browsers you could try are SeaMonkey 1.1.19 and Camino 1.6.11